;(function($){
   $.fn.inputAuto=function(options){
       return this.each(function() {
            var $this = $(this);
            $(this).attr("tabindex", "-1");
            var $thisHint=$(this).attr("hint");
            var $thisVal=$(this).val();
            $thisVal=='' && $(this).val($thisHint);
            $(this).focus(function(){
                var $thisVal=$(this).val();
                ($thisVal=='' || $thisVal==$thisHint) && $this.val("");
                $(".list").slideDown();
            }).blur(function(){
                var $thisVal=$(this).val();
                ($thisVal=='') && $this.val($thisHint);
                $(".list").fadeOut(500);
            });
       });
   }
})(jQuery);
;(function($){
   $.fn.inputMsg=function(options){
       return this.each(function() {
            var $this = $(this);
            if(options=='error'){
            	$this.css("border-color", "red")
            		 .fadeTo(600, 0.2).fadeTo(600, 1)
            	     .fadeTo(600, 0.2).fadeTo(400, 1);
            }
            $(this).focus(function(){
                $this.stop().fadeIn().css("border-color", "#2582A9");
            })
       });
   }
})(jQuery);